Subject: Re: RFH: spawning pager takes long time when when unconnected from network

From: Johannes Sixt <[email-masked]>
Date: Tue, 10 Feb 2009 08:57:47 +0100

Eric Raible schrieb:
> I've got a weird one which I haven't been able to figure out.
> The problem is that git sometimes takes a long time (~5-10 seconds)
> before producing output when it needs to internally spawn a pager.
> 
> This only occurs when I'm not plugged in to a network.
> When I'm plugged in everything operates at the normal speed.
> 
> This would be slow: git diff some-branch
> This would be fast: git diff some-branch | less
> 
> Unsetting core.pager (IOW setting core.pager="") is also fast.

Do you have a directory in your PATH that points to a disconnected network
drive? Do you use the default pager settings, or did you customize the pager?

-- Hannes